FLANG

Public Types | Public Member Functions | List of all members
Fortran::evaluate::AsConstantHelper Class Reference

## Public Types
using | Result = std::optional< Expr< SomeType > >
using | Types = AllTypes

## Public Member Functions
| AsConstantHelper (FoldingContext &context, const DynamicType &type, const ConstantSubscripts &extents, const InitialImage &image, ConstantSubscript offset=0)
template<typename T >
Result | Test ()

The documentation for this class was generated from the following file:

- lib/Evaluate/initial-image.cpp